import { createHttpRequest } from "/@/views/time/_http";

const baseUrl = "admin/exec/";

export default {
  // 列表
  list: createHttpRequest(`${baseUrl}listLog`, {
    defaultData: { exec_id: 23, type: 1 },
    url: ""
  }),

  // 执行列表
  exce_list: createHttpRequest(`${baseUrl}execList`, {
    defaultData: { type: 1 },
    url: ""
  }),

  // 创建
  create_exec: createHttpRequest(`${baseUrl}addExec`, {
    defaultData: { type: 1 },
    url: ""
  }),

  // 删除执行脚本
  delete_exec: createHttpRequest(`${baseUrl}deleteLog`, {
    defaultData: {},
    url: ""
  })
};
